###  | #  |

Classes | Functions
nth_channel_view
Image View » Algorithms and Utility Functions » Image View Transformations

single-channel (grayscale) view of the N-th channel of a given image_view More...

## Classes
struct | nth_channel_view_type< View >
| Given a source image view type View, returns the type of an image view over a single channel of View. More...
struct | nth_channel_view_type< any_image_view< Views... > >
| Given a runtime source image view, returns the type of a runtime image view over a single channel of the source view. More...

## Functions
template<typename View >
nth_channel_view_type< View >::type | nth_channel_view (View const &src, int n)
template<typename ... Views>
auto | nth_channel_view (any_image_view< Views... > const &src, int n) -> typename nth_channel_view_type< any_image_view< Views... > >::type

## Detailed Description

single-channel (grayscale) view of the N-th channel of a given image_view

## Function Documentation

## ◆ nth_channel_view()

auto nth_channel_view | ( | any_image_view< Views... > const & | src,
|  | int | n
| ) |  | -> typename nth_channel_view_type<any_image_view<Views...>>::type
| inline

Template Parameters

  Views | Models Boost.MP11-compatible list of models of ImageViewConcept